Bug 188872 - CVE-2006-1730 CSS Letter-Spacing Heap Overflow Vulnerability
Summary: CVE-2006-1730 CSS Letter-Spacing Heap Overflow Vulnerability
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: 5
Hardware: All
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard: reported=20060412,source=mozilla,emba...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-13 04:09 UTC by Josh Bressers
Modified: 2018-04-11 13:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-28 14:45:55 UTC


Attachments (Terms of Use)

Description Josh Bressers 2006-04-13 04:09:27 UTC
CSS Letter-Spacing Heap Overflow Vulnerability


An  anonymous  researcher for TippingPoint and the Zero Day Initiative
discovered an integer overflow triggered by the CSS letter-spacing property.
This results in in under-allocating memory and ultimately a heap buffer
overflow which could be exploited to run code of the attacker's choice.

The overflow condition itself does not require JavaScript and thus could
affect Thunderbird via received mail, but without scripting to prepare
memory it may not be possible to exploit this condition in mail.

Workaround

Upgrade to the fixed version.

References

[1]ZDI-06-009
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=325403


This issue also affects FC4

Comment 1 Josh Bressers 2006-04-24 13:08:25 UTC
Lifting Embargo

Comment 2 Matěj Cepl 2007-07-18 17:30:16 UTC
Fedora Core 5 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.


Comment 3 Matěj Cepl 2007-08-28 14:45:55 UTC
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.


Note You need to log in before you can comment on or make changes to this bug.